import express from "express";
import cors from "cors";
import swaggerOptions from "./swagger/swagger.ts";
import swaggerUi from "swagger-ui-express";
import swaggerJSDoc from "swagger-jsdoc";
import zoneRouter from "./routes/zoneRoutes.ts";
import panelRouter from "./routes/panelRoutes.ts";
import widgetRouter from "./routes/widgetRoute.ts";
import pointRouter from "./routes/pointroutes.ts";
const app = express();
const swaggerSpec = swaggerJSDoc(swaggerOptions);
app.use("/api-docs", swaggerUi.serve, swaggerUi.setup(swaggerSpec));
app.use("/api/v1", zoneRouter);
app.use("/api/v1", panelRouter);
app.use("/api/v1", widgetRouter);
app.use("/api/v1", pointRouter);
export default app;
