import { Request, Response } from "express";
import pointSchema from "../../shared/model/builder/assets/pointSchema.ts";
export class pointService {
  static async pointCreate(req: Request, res: Response): Promise<any> {
    const organization = req.params.organization;
    const modelfileID = "6633215057b31fe671145959";
    try {
      const existingData = await pointSchema(organization).findOne({
        modelfileID: modelfileID,
      });
      if (existingData) return res.status(409).send("already data exists");
      const assetData = await pointSchema(organization).create({
        modelfileID: modelfileID,
      });
      return res.status(200).send(assetData);
    } catch (error: any) {
      return res.status(500).send(error.message);
    }
  }

  static async GetPoints(req: Request, res: Response): Promise<any> {
    const { organization, modelfileID } = req.params;
    try {
      const existingPanel = await pointSchema(organization)
        .findOne({ modelfileID: modelfileID })
        .select("-_id -__v -points._id");
      if (existingPanel) {
        return res.status(200).json(existingPanel);
      }
      return res.status(404).json({ message: "No data found" });
    } catch (error: any) {
      return res.status(500).send(error.message);
    }
  }
}
