import swaggerJSDoc from "swagger-jsdoc";
import ip from "ip";
import dotenv from "dotenv";
dotenv.config();
const swaggerPort = process.env.PORT;
const swaggerOptions: swaggerJSDoc.Options = {
  definition: {
    openapi: "3.0.0",
    info: {
      title: "Dwinzo-Beta API",
      version: "1.0.0",
      description: "API documentation for BackendIOT",
      contact: {
        name: "Backend Developer",
        email: "nivetha@hexrfactory.com",
      },
    },
    servers: [
      {
        url: `http://192.168.0.102:${swaggerPort}/api/v1`,
        description: "Server Endpoint",
      },
    ],
    components: {
      securitySchemes: {
        bearerAuth: {
          type: "http",
          scheme: "bearer",
          bearerFormat: "JWT",
        },
      },
    },
    security: [
      {
        bearerAuth: [],
      },
    ],
  },
  apis: ["./src/API/routes/*.ts"], // Adjust path based on where your routes are located
  tryItOutEnabled: false,  
};

export default swaggerOptions;
