import mongoose, { Document, Schema } from "mongoose";
import MainModel from "../../../connect/mongoose.ts";

// Interface for TypeScript with PascalCase
export interface Points extends Document {
  modelfileID: string;
  points: {
    uuid: string;
    position: number[];
    rotation: number[];
    actions: string[];
    triggers: string[];
  }[];
}
const defaultPoints = [
  {
    uuid: "",
    position: [0, 1.25, 3.3],
    rotation: [0, 0, 0],
    actions: [],
    triggers: [],
  },
  {
    uuid: "",
    position: [0, 1.25, 3.3],
    rotation: [0, 0, 0],
    actions: [],
    triggers: [],
  },
  {
    uuid: "",
    position: [0, 1.25, 3.3],
    rotation: [0, 0, 0],
    actions: [],
    triggers: [],
  },
];
// Define the Mongoose Schema
const pointSchema: Schema = new Schema({
  modelfileID: { type: String, required: true },
  points: {
    type: [
      {
        uuid: { type: String },
        position: { type: [Number], default: [0, 1.25, 3.3] },
        rotation: { type: [Number], default: [0, 0, 0] },
        actions: { type: [String], default: [] },
        triggers: { type: [String], default: [] },
      },
    ],
    default: defaultPoints,
  },
});

const pointModel = (db: string) => {
  return MainModel(db, "Points", pointSchema, "Points");
};

export default pointModel;
