import mongoose, { Schema, Document, model } from "mongoose";
import MainModel from "../../connect/mongoose.ts";

export interface Event extends Document {
  pointsUUID: string;
  actionUUID: string;
  isArchive: string;
  sceneID: string;
  eventData: {
    uuid: string;
    type: string;
    material: string;
    delay: number;
    spawn_Interval: number;
  };
}
const eventSchema: Schema = new Schema(
  {
    pointsUUID: { type: String },
    isArchive: { type: Boolean, default: false },
    actionUUID: { type: String },
    sceneID: { type: String },
    eventData: [
      {
        uuid: { type: String },
        type: { type: String },
        material: { type: String },
        delay: { type: Number },
        spawn_Interval: { type: Number },
      },
    ],
  },
  { timestamps: true }
);

const actionModel = (db: any) => {
  return MainModel(db, "Events", eventSchema, "Events");
};
export default actionModel;
