import mongoose, { Schema, Document, model } from "mongoose";
import MainModel from "../../connect/mongoose.ts";

export interface Trigger extends Document {
  pointsUUID: string;
  actionUUID: string;
  isArchive: string;
  sceneID: string;
  triggerData: {
    uuid: string;
    type: string;
    // material: string;
    // delay: number;
    // spawn_Interval: number;
  };
}
const triggerSchema: Schema = new Schema(
  {
    pointsUUID: { type: String },
    isArchive: { type: Boolean, default: false },
    actionUUID: { type: String },
    sceneID: { type: String },
    triggerData: [
      {
        uuid: { type: String },
        type: { type: String },
        // material: { type: String },
        // delay: { type: Number },
        // spawn_Interval: { type: Number },
      },
    ],
  },
  { timestamps: true }
);

const triggerModel = (db: any) => {
  return MainModel(db, "Triggers", triggerSchema, "Triggers");
};
export default triggerModel;
