import mongoose, { Schema, Document, model } from "mongoose";
import MainModel from "../../connect/mongoose.ts";

export interface Panel extends Document {
  // zoneID: mongoose.Types.ObjectId;
  zoneId: string;
  panelName: string;
  widgets: [mongoose.Types.ObjectId];
  isArchive: boolean;
}
const panelSchema: Schema = new Schema(
  {
    // zoneID: { type: mongoose.Schema.Types.ObjectId, ref: "Zone" },
    zoneId: { type: String  },
    panelName: { type: String },
    widgets: [{ type: mongoose.Schema.Types.ObjectId, ref: "Widget" }],
    isArchive: { type: Boolean, default: false },
  },
  { timestamps: true }
);

const panelModel = (db: any) => {
  return MainModel(db, "Panel", panelSchema, "Panel");
};
export default panelModel;
